lib64ruby2.0-2.0.0.p645-1.mga5.x86_64.rpm


Advertisement

Description

lib64ruby2.0 - Libraries necessary to run Ruby

Property Value
Distribution Mageia 5.1
Repository Mageia Core x86_64
Package filename lib64ruby2.0-2.0.0.p645-1.mga5.x86_64.rpm
Package name lib64ruby2.0
Package version 2.0.0.p645
Package release 1.mga5
Package architecture x86_64
Package type rpm
Category Development/Ruby
Homepage http://www.ruby-lang.org/
License Ruby or BSD
Maintainer -
Download size 790.73 KB
Installed size 2.27 MB
This package includes the libruby, necessary to run Ruby.

Alternatives

Package Version Architecture Repository
lib64ruby2.0-2.0.0.p648-1.6.mga5.x86_64.rpm 2.0.0.p648 x86_64 Mageia Core Updates
lib64ruby2.0-2.0.0.p648-1.5.mga5.x86_64.rpm 2.0.0.p648 x86_64 Mageia Core Updates
lib64ruby2.0-2.0.0.p648-1.4.mga5.x86_64.rpm 2.0.0.p648 x86_64 Mageia Core Updates
lib64ruby2.0-2.0.0.p648-1.1.mga5.x86_64.rpm 2.0.0.p648 x86_64 Mageia Core Updates
lib64ruby2.0-2.0.0.p648-1.mga5.x86_64.rpm 2.0.0.p648 x86_64 Mageia Core Updates
lib64ruby2.0 - - -

Requires

Name Value
ld-linux-x86-64.so.2()(64bit) -
ld-linux-x86-64.so.2(GLIBC_2.2.5)(64bit) -
libc.so.6()(64bit) -
libc.so.6(GLIBC_2.11)(64bit) -
libc.so.6(GLIBC_2.14)(64bit) -
libc.so.6(GLIBC_2.2.5)(64bit) -
libc.so.6(GLIBC_2.3)(64bit) -
libc.so.6(GLIBC_2.3.4)(64bit) -
libc.so.6(GLIBC_2.4)(64bit) -
libc.so.6(GLIBC_2.6)(64bit) -
libc.so.6(GLIBC_2.9)(64bit) -
libcrypt.so.1()(64bit) -
libcrypt.so.1(GLIBC_2.2.5)(64bit) -
libdl.so.2()(64bit) -
libdl.so.2(GLIBC_2.2.5)(64bit) -
libm.so.6()(64bit) -
libm.so.6(GLIBC_2.2.5)(64bit) -
libpthread.so.0()(64bit) -
libpthread.so.0(GLIBC_2.2.5)(64bit) -
libpthread.so.0(GLIBC_2.3.2)(64bit) -
libpthread.so.0(GLIBC_2.3.3)(64bit) -
librt.so.1()(64bit) -
librt.so.1(GLIBC_2.2.5)(64bit) -

Provides

Name Value
lib64ruby2.0 == 2.0.0.p645-1.mga5
lib64ruby2.0(x86-64) == 2.0.0.p645-1.mga5
libruby.so.2.0()(64bit) -

Download

Type URL
Mirror distrib-coffee.ipsl.jussieu.fr
Binary Package lib64ruby2.0-2.0.0.p645-1.mga5.x86_64.rpm
Source Package ruby-2.0.0.p645-1.mga5.src.rpm

Install Howto

  1. Enable Mageia Core repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install lib64ruby2.0 rpm package:
    # urpmi lib64ruby2.0

Files

Path
/usr/lib64/libruby.so.2.0
/usr/lib64/libruby.so.2.0.0

Changelog

2015-04-30 - pterjan <pterjan> 2.0.0.p645-1.mga5
+ Revision: 820881
- Drop applied patch
- Update to p645 (CVE-2015-1855)
2014-11-14 - pterjan <pterjan> 2.0.0.p598-1.mga5
+ Revision: 796908
- Update to 2.0.0-p598 (CVE-2014-8090)
+ luigiwalser <luigiwalser>
- add upstream patch to fix CVE-2014-4975
2014-10-27 - pterjan <pterjan> 2.0.0.p594-1.mga5
+ Revision: 793866
- 2.0.0-p594 (CVE-2014-8080 + Insecure SSL/TLS options are now turn off by default + many bug fixes)
2014-10-15 - umeabot <umeabot> 2.0.0.p451-6.mga5
+ Revision: 748136
- Second Mageia 5 Mass Rebuild
2014-09-16 - umeabot <umeabot> 2.0.0.p451-5.mga5
+ Revision: 688736
- Mageia 5 Mass Rebuild
2014-09-11 - tv <tv> 2.0.0.p451-4.mga5
+ Revision: 674762
- move rubygem req/prov generator in ruby instead of -devel subpackage
(this one is actually required by gems but not always -devel)
2014-09-08 - tv <tv> 2.0.0.p451-3.mga5
+ Revision: 673709
- add RPM dependency generators for RubyGems
2014-04-21 - pterjan <pterjan> 2.0.0.p451-2.mga5
+ Revision: 617250
- Fix version in pkg-config file (mga#13240)
2014-03-10 - pterjan <pterjan> 2.0.0.p451-1.mga5
+ Revision: 601635
- Add upstream patch to fix build with new readline
- Patch to force installing bundled gems to system directory even if build is running as user
- Drop patch already applied
- Add fedora patch preventing potential multilib conflict
- Update to p451
2013-12-27 - pterjan <pterjan> 2.0.0.p247-8.mga4
+ Revision: 560987
- Fix use of wrong macro now that they are different
- Move rubygems out of gems dir as this brakes bundler

See Also

Package Description
lib64ruli-devel-0.36-11.mga5.x86_64.rpm Static library and header files for the lib64ruli4 library
lib64ruli4-0.36-11.mga5.x86_64.rpm The RULI (Resolver User Layer Interface) library
lib64rx-devel-1.5-8.mga5.x86_64.rpm POSIX regexp functions, developers library
lib64rx0-1.5-8.mga5.x86_64.rpm POSIX regexp functions, shared libraries
lib64rygel2.4_2-0.24.3-1.mga5.x86_64.rpm Shared libraries for rygel
lib64sablotron-devel-1.0.3-15.mga5.x86_64.rpm The development libraries and header files for Sablotron
lib64sablotron0-1.0.3-15.mga5.x86_64.rpm Main library for sablotron
lib64samplerate-devel-0.1.8-5.mga5.x86_64.rpm Audio Sample Rate Converter development files
lib64samplerate0-0.1.8-5.mga5.x86_64.rpm Audio Sample Rate Converter shared library
lib64sane-hpaio1-3.14.6-8.mga5.x86_64.rpm SANE driver for scanners in HP's multi-function devices (from HPLIP)
lib64sane1-1.0.24-10.mga5.x86_64.rpm SANE - local and remote scanner access. This package contains the sane library
lib64sane1-devel-1.0.24-10.mga5.x86_64.rpm SANE - local and remote scanner access
lib64sary-devel-1.2.0-18.mga5.x86_64.rpm Development headers for sary
lib64sary10-1.2.0-18.mga5.x86_64.rpm Sary library
lib64sasl2-devel-2.1.26-10.mga5.x86_64.rpm Libraries for SASL a the Simple Authentication and Security Layer
Advertisement
Advertisement